/* CSS Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Open Sans", sans-serif;
}

nav {
    /* shorthand property */
    /* 0.8rem = 12.8px */

    padding: 0.8rem;

    /* padding-top: 0.8rem;
    padding-left: 0.8rem;
    padding-bottom: 0.8rem ;
    padding-right: 0.8rem; */
    margin-bottom: 2rem;
    border-bottom: 1px solid gray;
    list-style-type: disc;
}

/* margin vs padding */
/* margin is best used for creating space between elements */
/* padding is best used when creating space between element's border and it's content */



nav .nav, nav .nav-logo {
    margin: 0.5rem;
    /* changes elements to inline elements */
    /* "display" property has default value "block" */
    display: inline;
}

nav .nav {
    float: right;
}

/* Intro section */
#intro {
    padding-left: 10%;
    padding-right: 10%;
    padding-top: 2rem;
    padding-bottom: 3rem;
    /* shorthand property for padding */
    /* top left right bottom */
    /* padding: 2 rem 10% 10% 3 rem; */
    text-align: center;
}

.header {
    text-align: center;
}

#intro h2, #intro p {
    margin-bottom: 1rem;
}

#intro button {
    color: white;
    /* changes the thickness of text */
    font-weight: bold;
    background-color: #c2195b;
    border-radius: 25px;
    font-size: 1rem;
    padding: 1rem;
}

/* succeed-info section */
#succeed-info {
    padding-left: 10%;
    padding-right: 10%;
    padding-top: 2rem;
    padding-bottom: 3rem;
}

#succeed-info h2 {
    margin-bottom: 1rem;
}

#succeed-info h3 {
    text-align: center;
    margin-bottom: 1rem;
}

#succeed-info .card {
    /* allows the cards to appear beside each other */
    display: inline-block;
    /* align elements with the tallest element inline */
    vertical-align: top;
    min-height: 175px;
    width: 30%;
    margin: 0 0.5rem 0.5rem 0;
}

footer {
    padding: 0.7rem;
    text-align: center;
}

footer span {
    margin: 0 0.5rem 0.5rem 0;

}

#pre-footer {
    padding-left: 1%;
    padding-right: 1%;
    padding-top: 1rem;
    padding-bottom: 1rem;
    background-color: #002540;
    color: white;
}

#pre-footer div {
    display: inline-block;
    vertical-align: baseline;
    min-height: 75px;
    width: 20%;
    margin: 0 0.5rem 0.5rem 0;
    text-align: left;
}

div p, div h3 {
    margin-bottom: 0.5rem;
}